Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support Fog 1.20.0 #6

Closed
anl opened this issue Feb 21, 2014 · 1 comment
Closed

Support Fog 1.20.0 #6

anl opened this issue Feb 21, 2014 · 1 comment

Comments

@anl
Copy link
Contributor

@anl anl commented Feb 21, 2014

Instance launch fails with:

-----> Starting Kitchen (v1.2.1)
-----> Creating <default-centos-6>...
[fog][DEPRECATION] image_name= is no longer used (/home/anl/.rbenv/versions/1.9.3-p484/lib/ruby/gems/1.9.1/gems/fog-1.20.0/lib/fog/core/attributes.rb:146:in `block in merge_attributes')
>>>>>> ------Exception-------
>>>>>> Class: Kitchen::ActionFailed
>>>>>> Message: Failed to complete #create action: [disks is required for this operation]
>>>>>> ----------------------
>>>>>> Please see .kitchen/logs/kitchen.log for more details
>>>>>> Also try running `kitchen diagnose --all` for configuration

Key errors being the deprecation warning and the "disks is required for this operation" message.

@anl
Copy link
Contributor Author

@anl anl commented Mar 27, 2014

Fog >= 1.20.0 is a move to the GCE v1 API; work is being done in the feature-gce-v1-api branch.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant